Summary: EDX Assembler
Name: edx-asm
Version: 1.2
Release: 5%{?dist}
License: Commercial
Group: System Environment/Base
Source: edx-asm-%{version}.tar.gz
Source1: edx-asm-objlib-%{version}.tar.gz
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-root
Conflicts: edx < 1.1.14-2

%description
Binary7 EDX programs for assembling EDL programs.  This package is separate 
because the binaries are not version controlled or included in the
edx SRPM.

%prep
%setup -q
tar xvf %{SOURCE1}

%install
mkdir -p %{buildroot}/bms/edx
cp -rp asm3.2 %{buildroot}/bms/edx
cp -rp asm5.2 %{buildroot}/bms/edx
# $EDXASM writes to this for some reason (but doesn't change anything)
chmod g+w %{buildroot}/bms/edx/asm5.2/\$edxl.edx

# copy existing objlib for now
cp -rp objlib %{buildroot}/bms/edx
for i in ushell msread allocj edxjava paintj; do
  rm -f %{buildroot}/bms/edx/objlib/$i.edx
done
chmod a+r %{buildroot}/bms/edx/objlib/*.edx %{buildroot}/bms/edx/objlib/.*.edx

%files
/bms/edx/asm3.2
/bms/edx/asm5.2
%attr(0644,edx,bin)/bms/edx/asm5.2/$edxl.edx
%dir /bms/edx/objlib
/bms/edx/objlib/$dsopen.edx
/bms/edx/objlib/$imgen.edx
/bms/edx/objlib/$ovlmgr.edx
/bms/edx/objlib/$ovlmgr2.edx
/bms/edx/objlib/$seteod.edx
/bms/edx/objlib/aptim.edx
/bms/edx/objlib/aptime.edx
/bms/edx/objlib/aptime1.edx
/bms/edx/objlib/aptimeo.edx
/bms/edx/objlib/aptimer.edx
/bms/edx/objlib/arin.edx
/bms/edx/objlib/artime.edx
/bms/edx/objlib/artimen.edx
/bms/edx/objlib/btcreat.edx
/bms/edx/objlib/btkwd.edx
/bms/edx/objlib/btlock.edx
/bms/edx/objlib/btreln.edx
/bms/edx/objlib/btutilx.edx
/bms/edx/objlib/c3fp3.edx
/bms/edx/objlib/c3fp3e.edx
/bms/edx/objlib/cdate4.edx
/bms/edx/objlib/cdmonth.edx
/bms/edx/objlib/compress.edx
/bms/edx/objlib/convtx.edx
/bms/edx/objlib/dltb.edx
/bms/edx/objlib/dosubx.edx
/bms/edx/objlib/edit.edx
/bms/edx/objlib/edrcv.edx
/bms/edx/objlib/edsend.edx
/bms/edx/objlib/empnum.edx
/bms/edx/objlib/events.edx
/bms/edx/objlib/exit.edx
/bms/edx/objlib/fcbed5.2.edx
/bms/edx/objlib/fcbrt.edx
/bms/edx/objlib/fcbrtv.edx
/bms/edx/objlib/fcbrtx.edx
/bms/edx/objlib/fcbvw.edx
/bms/edx/objlib/filenv.edx
/bms/edx/objlib/fmttxt.edx
/bms/edx/objlib/formatl.edx
/bms/edx/objlib/formgen.edx
/bms/edx/objlib/fsawrd.edx
/bms/edx/objlib/fsfon.edx
/bms/edx/objlib/fshex.edx
/bms/edx/objlib/fsjul.edx
/bms/edx/objlib/fsltr.edx
/bms/edx/objlib/fsmsg.edx
/bms/edx/objlib/fsqty.edx
/bms/edx/objlib/fssnm.edx
/bms/edx/objlib/fsstru.edx
/bms/edx/objlib/getcode.edx
/bms/edx/objlib/getcwd.edx
/bms/edx/objlib/getdec.edx
/bms/edx/objlib/getfl.edx
/bms/edx/objlib/getts.edx
/bms/edx/objlib/getval.edx
/bms/edx/objlib/inqlist.edx
/bms/edx/objlib/jdate.edx
/bms/edx/objlib/jledger.edx
/bms/edx/objlib/jscinv.edx
/bms/edx/objlib/julian.edx
/bms/edx/objlib/julmdy.edx
/bms/edx/objlib/julnum.edx
/bms/edx/objlib/julstr.edx
/bms/edx/objlib/ldhex.edx
/bms/edx/objlib/ledger.edx
/bms/edx/objlib/ledglog.edx
/bms/edx/objlib/lockfile.edx
/bms/edx/objlib/lprt.edx
/bms/edx/objlib/msg.edx
/bms/edx/objlib/numtxt.edx
/bms/edx/objlib/oxhmfpay.edx
/bms/edx/objlib/paint.edx
/bms/edx/objlib/patch.edx
/bms/edx/objlib/pkdel.edx
/bms/edx/objlib/proj.edx
/bms/edx/objlib/projnum.edx
/bms/edx/objlib/projstr.edx
/bms/edx/objlib/putdir.edx
/bms/edx/objlib/putfl.edx
/bms/edx/objlib/putseq.edx
/bms/edx/objlib/qspool.edx
/bms/edx/objlib/qtystr.edx
/bms/edx/objlib/questa.edx
/bms/edx/objlib/redisp.edx
/bms/edx/objlib/ref.edx
/bms/edx/objlib/return.edx
/bms/edx/objlib/rgtime.edx
/bms/edx/objlib/rptctl.edx
/bms/edx/objlib/sadd.edx
/bms/edx/objlib/selprtr.edx
/bms/edx/objlib/setmenu.edx
/bms/edx/objlib/shell.edx
/bms/edx/objlib/site.edx
/bms/edx/objlib/squeeze.edx
/bms/edx/objlib/squeezex.edx
/bms/edx/objlib/str2num.edx
/bms/edx/objlib/switch.edx
/bms/edx/objlib/tmpfile.edx
/bms/edx/objlib/tojul.edx
/bms/edx/objlib/tsstr.edx
/bms/edx/objlib/tstamp.edx
/bms/edx/objlib/txt2ts.edx
/bms/edx/objlib/vrprt.edx
/bms/edx/objlib/webdoc.edx
/bms/edx/objlib/webdoc1.edx
/bms/edx/objlib/yearwin.edx
/bms/edx/objlib/batch.edx
/bms/edx/objlib/putdttm.edx
/bms/edx/objlib/.*.edx

%changelog
* Thu Aug 30 2018 Stuart Gathman <stuart@gathman.org> 1.2-5
- Make $edxl.edx writable by edx. (Compiler writes optbl to it...)

* Tue Aug 28 2018 Stuart Gathman <stuart@gathman.org> 1.2-4
- Remove objs that belong to edx-ms

* Wed Mar 16 2016 Stuart Gathman <stuart@gathman.org> 1.2-3
- Include objlib as "source"

* Fri Mar 16 2012 Stuart Gathman <stuart@bmsi.com> 1.2-2
- FIXME: diff the SRPMS and see ...

* Thu Mar 15 2012 Stuart Gathman <stuart@bmsi.com> 1.2-1
- Include objlib 

* Mon Feb 25 2008 Stuart Gathman <stuart@bmsi.com> 1.1-1
- move /bms/edx/asm to edx-asm

* Mon Feb 25 2008 Stuart Gathman <stuart@bmsi.com> 1.0-4
- Remove allocj, webdocj, artimej - which are provided in other packages
- move /bms/edx/lib/user to edx-devel

* Mon Feb 25 2008 Stuart Gathman <stuart@bmsi.com> 1.0-3
- Include specific object files in objlib

* Mon Feb 25 2008 Stuart Gathman <stuart@bmsi.com> 1.0-2
- include objlib and user

* Mon Feb 25 2008 Stuart Gathman <stuart@bmsi.com> 1.0-1
- initial release
